# Simple DirectMedia Layer SDL 1.2.15 sources for Casio Graph 90+E and Prizm CG10/20

Need to have a fully working gcc toolchain for SH3/SH4 architecture.

Compilation is done by using the adhoc Makefile :
`make -f Makefile.prizm` in the main directory

It should produce the library libSDL_prizm.a

The following steps are not automatically done, so please proceed with the following manipulations :
* copy the library libSDL_prizm.a into your SH3/SH4 compiler lib folder
* copy all header files contained in the include/SDL folder into the include folder of the SH3/SH4 compiler

You can also use the `gitea install Slyvtt/cSDL1_2_15` command to get an automatic install

when you compile a program for use with SDL, do not forget to add a `-lSDL_prizm` option in your compilator command line.

and then a `#include <SDL/SDL.h>` in your C/C++ sources

